=head1 NAME

calibrate_lens - Lens calibration from straight lines

=head1 SYNOPSIS

B<calibrate_lens> [options] I<<image1>> I<<image2>> I<...>

=head1 DESCRIPTION

=head1 OPTIONS

=over

=item B<-p> <filename>

Input Hugin PTO file.

=item B<-j> <filename>

Input file containing line data.

=item B<-d> <int>

Maximum dimension for re-sized image prior to processing. Default 1600

=item B<-t> <float>

Edge detector threshold. Default 4

=item B<-m> <float>

Minimum line length as a fraction of longest dimension. Default 0.3

=item B<-y> <float>

Corner threshold. Default 150

=item B<-f> <float>

Focal length (mm). Read from EXIF data.

=item B<-c> <float>

Crop factor. Read/calculated from EXIF data.

=item B<-s> <float>

Shortest dimension of sensor (mm), used to calculate crop factor.

=item B<-l> <int>

Lens model:

=over

=item 1 = Rectilinear (default)

=item 2 = Equal-area fisheye

=item 3 = Equal-angle fisheye

=item 4 = Stereographic fisheye

=item 5 = Orthographic fisheye

=item 6 = Generic fisheye

=item 7 = Universal

=back


=item B<-z> <0|1>

Optimise image centre. Default 0

=item B<-v> <0|1>

Verbose. Default 0

=item B<-h>

Print usage.

=back

=head1 AUTHORS

Tim Nugent
